## com.baidubce.services.bmr.model
Class Application

    java.lang.Object
      com.baidubce.services.bmr.model.Application

    public class Application

extends Object

Represent An application for BMR cluster.

Constructor Summary
`Application()`

Method Summary
`String` `getName()`
`Map<String,Object>` `getProperties()`
`String` `getVersion()`
`void` `setName(String name)`
`void` `setProperties(Map<String,Object> properties)`
`void` `setVersion(String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Application

    public Application()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getVersion

    public String getVersion()

### setVersion

    public void setVersion(String version)

### getProperties

    public Map<String,Object> getProperties()

### setProperties

    public void setProperties(Map<String,Object> properties)

Copyright © 2016. All rights reserved.